
From: Hans Reiser <reiser@namesys.com>

This patch fixes some x86_64 compile warnings.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/file_ops.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN fs/reiser4/file_ops.c~reiser4-x86_64-warning-fix fs/reiser4/file_ops.c
--- 25/fs/reiser4/file_ops.c~reiser4-x86_64-warning-fix	2004-09-20 11:06:01.970293616 -0700
+++ 25-akpm/fs/reiser4/file_ops.c	2004-09-20 11:06:01.974293008 -0700
@@ -234,7 +234,7 @@ reiser4_read(struct file *file /* file t
 
 	ON_TRACE(TRACE_VFS_OPS,
 		 "READ: (i_ino %li, size %lld): %u bytes from pos %lli\n",
-		 inode->i_ino, inode->i_size, count, *off);
+		 inode->i_ino, inode->i_size, (unsigned int)count, *off);
 
 	result = perm_chk(inode, read, file, buf, count, off);
 	if (likely(result == 0)) {
@@ -276,7 +276,8 @@ reiser4_write(struct file *file /* file 
 	reiser4_stat_inc(vfs_calls.write);
 
 	ON_TRACE(TRACE_VFS_OPS,
-		 "WRITE: (i_ino %li, size %lld): %u bytes to pos %lli\n", inode->i_ino, inode->i_size, size, *off);
+		 "WRITE: (i_ino %li, size %lld): %u bytes to pos %lli\n",
+		 inode->i_ino, inode->i_size, (unsigned int)size, *off);
 
 	result = perm_chk(inode, write, file, buf, size, off);
 	if (likely(result == 0)) {
_
